import QtQuick 2.0
import Sailfish.Silica 1.0

Page {
    Flickable {
        id: flick
        //width:parent.width
        height: parent.height - Theme.paddingLarge * 3
        anchors.top: parent.top
        anchors.left: parent.left
        anchors.right: parent.right
        anchors.topMargin: Theme.paddingLarge * 3
        anchors.leftMargin: Theme.paddingMedium
        anchors.rightMargin: Theme.paddingMedium
        contentHeight: column1.height

        Column{
            id: column1
            width: parent.width
            spacing: Theme.paddingLarge
            Label {
                font.pixelSize: Theme.fontSizeExtraLarge
                font.bold: true
                text: "AllRadio2 v"+ _version
                anchors.horizontalCenter: parent.horizontalCenter

            }

            Text {
                focus: false
                font.pixelSize: Theme.fontSizeMedium
                color: Theme.primaryColor
                linkColor: Theme.highlightColor
                //wrapMode: TextEdit.WordWrap
                //verticalAlignment: Text.Center
                horizontalAlignment: Text.Center
                anchors.horizontalCenter: parent.horizontalCenter
                onLinkActivated: Qt.openUrlExternally(link)
//                text: qsTr("License: <a href='file:///gpl-2.0-standalone.html'>GPLv2</a>")
                text: qsTr("License: GPLv2")
            }

            Image{
                source: "../images/community.png"
                height: Theme.itemSizeHuge
                width: height
                fillMode: Image.PreserveAspectFit
                anchors {
                    horizontalCenter: parent.horizontalCenter
                }
            }
            Text {
                focus: false
                font.pixelSize: Theme.fontSizeMedium
                width: parent.width
                color: Theme.primaryColor
                linkColor: Theme.highlightColor
                wrapMode: TextEdit.WordWrap
                verticalAlignment: Text.AlignLeft
                onLinkActivated: Qt.openUrlExternally(link)
                text: "<p>This is version 2 of my old app AllRadio. It fixes the API changes made a couple of years ago in <a href='https://api.radio-browser.info/'>Radio Browser</a>.</p>
<p>What i have done (for now):<p>
<ul>
<li>Cleaned up the code.</li>
<li>Included some old requests.</li>
<li>Added a simple tv station video player.</li></ul>

<p>It is propably buggy and lacking of some functions, but i will try to update and fix it when i find the time for it.</p>
<p>For now, the source code is hosted on this <a href='http://gitea.nesnomis.nu/nesnomis/harbour-allradio'>git server</a>."
            }
        }
    }
}
